// 定义全局变量
var g_Map = null ;    // 地图对象
var mapfull = false;    // 缺省不全景地图

// 从参数中提取地图类型，如果没指定，则默认为0
var maptype = TUI.Core.getRequestParam("maptype");
if( maptype == null )
    maptype = lang=='cn' ? 0 : 2;   // 没有选择时，中文默认用百度地图，英文默认用谷歌地图

// 加载地图基类
document.writeln('<script type="text/javascript" src="../js/maps/imap.js"><\/script>');

// 如果是百度地图
if( maptype == 0 || maptype == 1 ){
    document.writeln('<script type="text/javascript" src="http://api.map.baidu.com/api?v=1.3"><\/script>');
    document.writeln('<script type="text/javascript" src="../js/maps/baidu/rectangleZoom.js"><\/script>');
    document.writeln('<script type="text/javascript" src="../js/maps/baidu/distanceTool.js"><\/script>');
    document.writeln('<script type="text/javascript" src="../js/maps/baidu/baiduImpl.js"><\/script>');
}
// 如果是谷歌地图
else if( maptype== 2 || maptype == 3 ){
    if( lang == 'cn' )
        document.writeln('<script type="text/javascript" src="http://ditu.google.cn/maps/api/js?sensor=false"><\/script>');
    else if(lang=="tw"){
        document.writeln('<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false&language=zh-TW"><\/script>');
    }else
        document.writeln('<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false&language=en"><\/script>');
    document.writeln('<script type="text/javascript" src="../js/maps/google/labelmarker.js"><\/script>');
    document.writeln('<script type="text/javascript" src="../js/maps/google/googleImpl.js"><\/script>');
}
// 如果是高德地图
else if( maptype == 4){
    document.writeln('<script type="text/javascript" ' + 'src="http://app.mapabc.com/apis?t=javascriptmap&v=3.1.1&key=b0a7db0b3a30f944a21c3682064dc70ef5b738b062f6479a5eca39725798b1ee300bd8d5de3a4ae3"><\/script>');
    document.writeln('<script type="text/javascript" src="../js/maps/mapabc/mapabcImpl.js"><\/script>');
}

// 待所有JS加载完毕后，生成地图对象
window.onload = function() {

// 如果是百度地图
    if( maptype == 0 || maptype == 1 ){
        g_Map = new TUI.map.BaiduImpl();
    }
// 如果是谷歌地图
    else if( maptype== 2 || maptype == 3 ){
        g_Map = new TUI.map.GoogleImpl();
    }
// 如果是高德地图
    else if( maptype == 4){
        g_Map = new TUI.map.MapabcImpl();
    }

    // 创建地图,有时候没加载完可能会抛异常，要捕捉住重试一次
    try{
        g_Map.createMap();

        // 当地图重新加载时，通知一下父窗体
        try{
            window.external.OnInit(maptype);
        }catch(e){}
    }
    catch(e){
        var ret = window.confirm(lg.maploadfail);
        // 如果是，则切换地图
        if( ret ){
            var new_map_type = 0;
            if( maptype == 0 || maptype == 1 )
                new_map_type = 2;
            else if( maptype == 2 || maptype == 3)
                new_map_type = 4;
            else
                new_map_type = 0;
            // 切换地图
            window.location = "map.html?maptype=" + new_map_type +"&lang=" + lang;
        }
    }
    // 捕捉所有异常
    window.onerror = function(msg,url,line){

        // alert( msg + "\r\n" + url + "\r\n" + line);

        // 错误传给主窗体写进日志文件
        try{
            window.external.OnError(msg,url,line);
        }catch(e){}

        return true;
    }
}